# -*- coding: utf-8 -*-
#
# File name: __init__.py
#
#   VideoMorph - A PyQt5 frontend to ffmpeg and avconv.
#   Copyright 2016-2017 VideoMorph Development Team

#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at

#       http://www.apache.org/licenses/LICENSE-2.0

#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

"""This module defines the videomorph package and the needed constants."""

from os.path import expanduser
from os.path import dirname
from os.path import join as join_path

from videomorph.converter.utils import get_locale

APPNAME = 'VideoMorph'
VERSION = '1.1'
CODENAME = 'adventurer'
BASE_DIR = dirname(dirname(__file__))
LOCALE = get_locale()
PACKAGE_NAME = APPNAME.lower()
MAINTAINER = APPNAME + ' ' + 'Development Team'

LINUX_PATHS = {'apps': '/usr/share/applications',
               'config': join_path(expanduser('~'), '.videomorph'),
               'icons': '/usr/share/icons',
               'i18n': '/usr/share/videomorph/translations',
               'profiles': '/usr/share/videomorph/stdprofiles',
               'doc': '/usr/share/doc/videomorph',
               'man': '/usr/share/man/man1',
               'gnome_mime': '/etc/gnome/defaults.list'}

VM_PATHS = {'apps': 'share/applications',
            'icons': 'share/icons',
            'i18n': 'share/videomorph/translations',
            'profiles': 'share/videomorph/stdprofiles',
            'doc': 'share/doc/videomorph',
            'man': 'share/man',
            'bin': 'bin'}
